Subject: [drinks] Your DISCUSS on draft-ietf-drinks-spp-framework

From: Alexander Mayrhofer <[email-masked]>
Date: Tue, 24 Mar 2015 15:54:16 +0000

Hello Alissa,

You raised a DISCUSS on draft-ietf-drinks-spp-framework during the IESG review (https://datatracker.ietf.org/doc/draft-ietf-drinks-spp-framework/ballot/#alissa-cooper), as well as some other comments:

Regarding the DISCUSS:

You are of course right - we had originally the "Create" as well as the "Modify" operation, and found out over the course of the development of the protocol that a "modify" would be much easier implemented if the "Add" operation would simply allow for overwriting / replacing the currently existing object.

We will change the document as follows:

- Change all instances of "Create" operation to "Add" operation
- Remove all instances of "Modify" operation
- Add text to the draft that clarifies in a single sentence that objects can by modified by simply overwriting them with an "Add" operation.

Does this address your DISCUSS so that you can clear?

Regarding your other comments:

= Section 3.3 =
What does "RFC level document" mean? RFC? Or perhaps you want to use the
"permanent and readily available" standard from RFC 5226?

-> The intention was that such extensions shall be RFCs. We will change the text accordingly. 

= Section 5.2.1 =
s/SPPF object that/SPPF object/

-> Will change accordingly, thanks for spotting this.

= Section 5.2.2 =
s/Refer the "Framework Data Model Objects"/Refer to the "Framework Data Model
Objects"/

-> Thanks, will change that.

= Section 6 =
s/refer the "Framework Operations"/refer to the "Framework Operations"/

-> same, will change in text.

We will probably roll those changes into a new revision of the document, and i hope to submit this asap. However, does the information above suffice so that you can clear your DISCUSS? We're in the process of shutting down the WG, so this would be highly appreciated.

thanks,
[and i hope all is well with you !! ]
Alex